Zum Hauptinhalt springen
GET
/
crm
/
v3
/
property-validations
/
{objectTypeId}
/
{propertyName}
Read validation rules for a property
curl --request GET \
  --url https://api.hubapi.com/crm/v3/property-validations/{objectTypeId}/{propertyName} \
  --header 'Authorization: Bearer <token>'
{
  "results": [
    {
      "ruleArguments": [
        "<string>"
      ],
      "ruleType": "AFTER_DATETIME_DURATION",
      "shouldApplyNormalization": true
    }
  ]
}

Supported products

Autorisierungen

Authorization
string
header
erforderlich

The access token received from the authorization server in the OAuth 2.0 flow.

Pfadparameter

objectTypeId
string
erforderlich
propertyName
string
erforderlich

Antwort

successful operation

results
object[]
erforderlich

Collection of validation rules configured for the specified property. Each rule defines a constraint that property values must satisfy (e.g., format requirements, length limits, allowed values).

Last modified on April 9, 2026